Last Comment Bug 742232 - Youtube Ratings Preview addon causes immortal zombie compartments
: Youtube Ratings Preview addon causes immortal zombie compartments
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-04-04 00:50 PDT by Grant
Modified: 2012-05-04 13:00 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Grant 2012-04-04 00:50:49 PDT
Hi guys,

The addon, located at: 

https://addons.mozilla.org/en-US/firefox/addon/youtube-bogus-remover/

Causes youtube to stay as an immortal zombie compartment even after doing a Minimise memory usage every half an hour or so, it comes up as this:

(will insert in just a second)
Comment 1 Grant 2012-04-04 01:08:31 PDT
    ├────145,600 B (00.08%) -- top(resource://gre-resources/hiddenWindow.html, id=3)
│    │    └──145,600 B (00.08%) -- active
│    │       └──145,600 B (00.08%) -- window(resource://gre-resources/hiddenWindow.html)
│    │          ├──142,816 B (00.08%) -- layout
│    │          │  ├──105,168 B (00.06%) ── style-sets
│    │          │  └───37,648 B (00.02%) ── arenas
│    │          └────2,784 B (00.00%) ── dom [2]
│    └──────6,304 B (00.00%) -- top(none)
│           ├──2,240 B (00.00%) -- window(http://www.youtube.com/watch?v=llDikI2hTtk&ob=av2e)
│           │  └──2,240 B (00.00%) ── dom [5]
│           ├──1,792 B (00.00%) -- window(http://www.youtube.com/watch?v=VfEhQsRnesQ)
│           │  └──1,792 B (00.00%) ── dom [4]
│           ├────928 B (00.00%) -- window([system])
│           │    └──928 B (00.00%) ── dom [2]
│           ├────896 B (00.00%) -- window(http://www.youtube.com/results?search_query=promises+nero&oq=pro&aq=1&aqi=g10&aql=&gs_l=youtube.1.1.0l10.96l198l0l2092l2l2l0l0l0l0l452l750l2-1j0j1l2l0.)
│           │    └──896 B (00.00%) ── dom [2]
│           └────448 B (00.00%) -- window(http://www.youtube.com/results?search_query=promises+nero&oq=promis&aq=0&aqi=g10&aql=&gs_l=youtube.3.0.0l10.1126l1965l0l3221l6l6l0l0l0l0l637l1680l1j3j5-2l6l0.)
│                └──448 B (00.00%) ── dom



just search for a video and it will do this - with 3000+ users there is a fair amount who would be affected.
Comment 2 Grant 2012-04-04 01:17:50 PDT
Sorry for one more comment, this is my complete about:memory?verbose after 3x minimise memory usage and 20 minutes since original filing with just Google open, there is a whole youtube.com compartment as well. I forgot to mention it is this addon as it doesn't do this when it is disabled:

Main Process

Explicit Allocations
178,647,175 B (100.0%) -- explicit
├───90,951,988 B (50.91%) -- js
│   ├──30,333,446 B (16.98%) -- compartment([System Principal], 0x5d88000)
│   │  ├──19,148,800 B (10.72%) -- gc-heap
│   │  │  ├───7,562,392 B (04.23%) -- arena
│   │  │  │   ├──7,472,816 B (04.18%) ── unused
│   │  │  │   ├─────74,800 B (00.04%) ── headers
│   │  │  │   └─────14,776 B (00.01%) ── padding
│   │  │  ├───5,476,432 B (03.07%) -- objects
│   │  │  │   ├──4,066,560 B (02.28%) ── non-function
│   │  │  │   └──1,409,872 B (00.79%) ── function
│   │  │  ├───3,302,328 B (01.85%) -- shapes
│   │  │  │   ├──1,504,656 B (00.84%) ── dict
│   │  │  │   ├──1,291,848 B (00.72%) ── tree
│   │  │  │   └────505,824 B (00.28%) ── base
│   │  │  ├───1,755,520 B (00.98%) ── strings
│   │  │  ├─────990,840 B (00.55%) ── scripts
│   │  │  ├──────60,768 B (00.03%) ── type-objects
│   │  │  └─────────520 B (00.00%) ── xml
│   │  ├───3,771,198 B (02.11%) ── string-chars
│   │  ├───2,852,512 B (01.60%) -- objects
│   │  │   ├──2,522,240 B (01.41%) ── slots
│   │  │   ├────306,560 B (00.17%) ── elements
│   │  │   └─────23,712 B (00.01%) ── misc
│   │  ├───2,509,912 B (01.40%) ── script-data
│   │  ├───1,525,472 B (00.85%) -- shapes-extra
│   │  │   ├────501,824 B (00.28%) ── dict-tables
│   │  │   ├────491,520 B (00.28%) ── compartment-tables
│   │  │   ├────369,120 B (00.21%) ── tree-tables
│   │  │   └────163,008 B (00.09%) ── tree-shape-kids
│   │  ├─────351,280 B (00.20%) -- mjit
│   │  │     ├──327,680 B (00.18%) ── code
│   │  │     └───23,600 B (00.01%) ── data
│   │  ├─────131,072 B (00.07%) ── analysis-temporary
│   │  └──────43,200 B (00.02%) -- type-inference
│   │         └──43,200 B (00.02%) ── script-main
│   ├──29,364,224 B (16.44%) ── gc-heap-decommitted
│   ├──17,811,608 B (09.97%) -- compartment(http://www.youtube.com/)
│   │  ├───6,807,552 B (03.81%) -- gc-heap
│   │  │   ├──2,102,656 B (01.18%) -- objects
│   │  │   │  ├──1,341,952 B (00.75%) ── function
│   │  │   │  └────760,704 B (00.43%) ── non-function
│   │  │   ├──1,889,160 B (01.06%) ── scripts
│   │  │   ├──1,609,648 B (00.90%) -- shapes
│   │  │   │  ├────678,936 B (00.38%) ── tree
│   │  │   │  ├────643,320 B (00.36%) ── dict
│   │  │   │  └────287,392 B (00.16%) ── base
│   │  │   ├────602,232 B (00.34%) -- arena
│   │  │   │    ├──564,472 B (00.32%) ── unused
│   │  │   │    ├───26,592 B (00.01%) ── headers
│   │  │   │    └───11,168 B (00.01%) ── padding
│   │  │   ├────592,512 B (00.33%) ── type-objects
│   │  │   └─────11,344 B (00.01%) ── strings
│   │  ├───5,685,440 B (03.18%) -- shapes-extra
│   │  │   ├──5,089,312 B (02.85%) ── tree-tables
│   │  │   ├────311,616 B (00.17%) ── dict-tables
│   │  │   ├────189,440 B (00.11%) ── compartment-tables
│   │  │   └─────95,072 B (00.05%) ── tree-shape-kids
│   │  ├───3,870,888 B (02.17%) ── script-data
│   │  ├─────635,056 B (00.36%) -- objects
│   │  │     ├──580,608 B (00.33%) ── slots
│   │  │     ├───52,848 B (00.03%) ── elements
│   │  │     └────1,600 B (00.00%) ── misc
│   │  ├─────342,512 B (00.19%) -- type-inference
│   │  │     ├──272,960 B (00.15%) ── object-main
│   │  │     └───69,552 B (00.04%) ── tables
│   │  ├─────327,680 B (00.18%) -- mjit
│   │  │     └──327,680 B (00.18%) ── code
│   │  ├─────120,256 B (00.07%) ── analysis-temporary
│   │  └──────22,224 B (00.01%) ── string-chars
│   ├───5,209,472 B (02.92%) -- compartment(atoms)
│   │   ├──3,276,160 B (01.83%) ── string-chars
│   │   └──1,933,312 B (01.08%) -- gc-heap
│   │      ├──1,596,416 B (00.89%) ── strings
│   │      └────336,896 B (00.19%) -- arena
│   │           ├──325,840 B (00.18%) ── unused
│   │           ├────7,552 B (00.00%) ── headers
│   │           └────3,504 B (00.00%) ── padding
│   ├───2,914,050 B (01.63%) -- compartment(https://www.google.co.nz/)
│   │   ├──1,249,280 B (00.70%) -- gc-heap
│   │   │  ├────327,888 B (00.18%) -- objects
│   │   │  │    ├──199,824 B (00.11%) ── function
│   │   │  │    └──128,064 B (00.07%) ── non-function
│   │   │  ├────290,520 B (00.16%) ── scripts
│   │   │  ├────287,856 B (00.16%) -- arena
│   │   │  │    ├──280,944 B (00.16%) ── unused
│   │   │  │    ├────4,880 B (00.00%) ── headers
│   │   │  │    └────2,032 B (00.00%) ── padding
│   │   │  ├────249,720 B (00.14%) -- shapes
│   │   │  │    ├──135,648 B (00.08%) ── tree
│   │   │  │    ├───83,640 B (00.05%) ── dict
│   │   │  │    └───30,432 B (00.02%) ── base
│   │   │  ├─────91,712 B (00.05%) ── type-objects
│   │   │  └──────1,584 B (00.00%) ── strings
│   │   ├────664,824 B (00.37%) ── script-data
│   │   ├────327,680 B (00.18%) -- mjit
│   │   │    └──327,680 B (00.18%) ── code
│   │   ├────311,168 B (00.17%) -- type-inference
│   │   │    ├──247,360 B (00.14%) ── script-main
│   │   │    ├───43,776 B (00.02%) ── object-main
│   │   │    └───20,032 B (00.01%) ── tables
│   │   ├────189,632 B (00.11%) -- shapes-extra
│   │   │    ├──109,216 B (00.06%) ── tree-tables
│   │   │    ├───34,016 B (00.02%) ── dict-tables
│   │   │    ├───25,664 B (00.01%) ── compartment-tables
│   │   │    └───20,736 B (00.01%) ── tree-shape-kids
│   │   ├─────89,840 B (00.05%) -- objects
│   │   │     ├──80,704 B (00.05%) ── slots
│   │   │     ├───7,232 B (00.00%) ── elements
│   │   │     └───1,904 B (00.00%) ── misc
│   │   ├─────81,184 B (00.05%) ── analysis-temporary
│   │   └────────442 B (00.00%) ── string-chars
│   ├───2,771,648 B (01.55%) -- runtime
│   │   ├──2,097,152 B (01.17%) ── atoms-table
│   │   ├────262,144 B (00.15%) ── regexp-code
│   │   ├────131,072 B (00.07%) ── stack-committed
│   │   ├────131,072 B (00.07%) ── gc-marker
│   │   ├────106,496 B (00.06%) ── runtime-object
│   │   ├─────35,520 B (00.02%) ── contexts
│   │   ├──────4,096 B (00.00%) ── normal
│   │   └──────4,096 B (00.00%) ── temporary
│   ├─────999,340 B (00.56%) ── xpconnect
│   ├─────933,888 B (00.52%) ── gc-heap-chunk-admin
│   ├─────399,616 B (00.22%) -- compartment([System Principal], jar:file:///C:/Users/OEM/AppData/Roaming/Mozilla/Firefox/Profiles/468ynh2k.default/extensions/elemhidehelper@adblockplus.org.xpi!/bootstrap.js, 0x70bd000)
│   │     ├──143,360 B (00.08%) -- gc-heap
│   │     │  ├───74,008 B (00.04%) -- arena
│   │     │  │   ├──73,144 B (00.04%) ── unused
│   │     │  │   ├─────560 B (00.00%) ── headers
│   │     │  │   └─────304 B (00.00%) ── padding
│   │     │  ├───29,448 B (00.02%) -- shapes
│   │     │  │   ├──18,720 B (00.01%) ── tree
│   │     │  │   ├───7,200 B (00.00%) ── base
│   │     │  │   └───3,528 B (00.00%) ── dict
│   │     │  ├───25,552 B (00.01%) -- objects
│   │     │  │   ├──16,320 B (00.01%) ── function
│   │     │  │   └───9,232 B (00.01%) ── non-function
│   │     │  ├───12,960 B (00.01%) ── scripts
│   │     │  ├────1,152 B (00.00%) ── type-objects
│   │     │  └──────240 B (00.00%) ── strings
│   │     ├──131,072 B (00.07%) ── analysis-temporary
│   │     ├───65,536 B (00.04%) -- mjit
│   │     │   └──65,536 B (00.04%) ── code
│   │     ├───32,240 B (00.02%) ── script-data
│   │     ├───17,504 B (00.01%) -- shapes-extra
│   │     │   ├───8,704 B (00.00%) ── compartment-tables
│   │     │   ├───4,000 B (00.00%) ── tree-tables
│   │     │   ├───2,720 B (00.00%) ── tree-shape-kids
│   │     │   └───2,080 B (00.00%) ── dict-tables
│   │     ├────8,848 B (00.00%) -- objects
│   │     │    ├──8,704 B (00.00%) ── slots
│   │     │    ├────128 B (00.00%) ── misc
│   │     │    └─────16 B (00.00%) ── elements
│   │     ├──────592 B (00.00%) -- type-inference
│   │     │      └──592 B (00.00%) ── script-main
│   │     └──────464 B (00.00%) ── string-chars
│   ├──────62,336 B (00.03%) -- compartment([System Principal], jar:file:///C:/Users/OEM/AppData/Roaming/Mozilla/Firefox/Profiles/468ynh2k.default/extensions/uriloader@pdf.js.xpi!/bootstrap.js, 0x7374000)
│   │      ├──53,248 B (00.03%) -- gc-heap
│   │      │  ├──43,056 B (00.02%) -- arena
│   │      │  │  ├──42,736 B (00.02%) ── unused
│   │      │  │  ├─────208 B (00.00%) ── headers
│   │      │  │  └─────112 B (00.00%) ── padding
│   │      │  ├───4,872 B (00.00%) -- shapes
│   │      │  │   ├──2,952 B (00.00%) ── tree
│   │      │  │   ├──1,536 B (00.00%) ── base
│   │      │  │   └────384 B (00.00%) ── dict
│   │      │  ├───3,728 B (00.00%) -- objects
│   │      │  │   ├──2,288 B (00.00%) ── function
│   │      │  │   └──1,440 B (00.00%) ── non-function
│   │      │  ├───1,080 B (00.00%) ── scripts
│   │      │  ├─────480 B (00.00%) ── type-objects
│   │      │  └──────32 B (00.00%) ── strings
│   │      ├───3,936 B (00.00%) -- shapes-extra
│   │      │   ├──2,304 B (00.00%) ── compartment-tables
│   │      │   ├──1,248 B (00.00%) ── tree-tables
│   │      │   ├────224 B (00.00%) ── tree-shape-kids
│   │      │   └────160 B (00.00%) ── dict-tables
│   │      ├───3,072 B (00.00%) -- objects
│   │      │   ├──2,944 B (00.00%) ── slots
│   │      │   └────128 B (00.00%) ── misc
│   │      ├───1,264 B (00.00%) ── script-data
│   │      ├─────784 B (00.00%) ── string-chars
│   │      └──────32 B (00.00%) -- type-inference
│   │             └──32 B (00.00%) ── script-main
│   ├──────60,744 B (00.03%) -- compartment([System Principal], jar:file:///C:/Users/OEM/AppData/Roaming/Mozilla/Firefox/Profiles/468ynh2k.default/extensions/cam@sdrocking.com.xpi!/bootstrap.js, 0x70fa000)
│   │      ├──53,248 B (00.03%) -- gc-heap
│   │      │  ├──40,608 B (00.02%) -- arena
│   │      │  │  ├──40,288 B (00.02%) ── unused
│   │      │  │  ├─────208 B (00.00%) ── headers
│   │      │  │  └─────112 B (00.00%) ── padding
│   │      │  ├───5,984 B (00.00%) -- shapes
│   │      │  │   ├──3,192 B (00.00%) ── tree
│   │      │  │   ├──1,472 B (00.00%) ── base
│   │      │  │   └──1,320 B (00.00%) ── dict
│   │      │  ├───5,568 B (00.00%) -- objects
│   │      │  │   ├──4,480 B (00.00%) ── function
│   │      │  │   └──1,088 B (00.00%) ── non-function
│   │      │  ├─────720 B (00.00%) ── scripts
│   │      │  ├─────352 B (00.00%) ── type-objects
│   │      │  └──────16 B (00.00%) ── strings
│   │      ├───3,776 B (00.00%) -- objects
│   │      │   ├──3,648 B (00.00%) ── slots
│   │      │   └────128 B (00.00%) ── misc
│   │      ├───3,072 B (00.00%) -- shapes-extra
│   │      │   ├──2,304 B (00.00%) ── compartment-tables
│   │      │   ├────448 B (00.00%) ── dict-tables
│   │      │   └────320 B (00.00%) ── tree-shape-kids
│   │      ├─────344 B (00.00%) ── script-data
│   │      ├─────272 B (00.00%) ── string-chars
│   │      └──────32 B (00.00%) -- type-inference
│   │             └──32 B (00.00%) ── script-main
│   ├──────56,056 B (00.03%) -- compartment([System Principal], jar:file:///C:/Users/OEM/AppData/Roaming/Mozilla/Firefox/Profiles/468ynh2k.default/extensions/places-maintenance@bonardo.net.xpi!/bootstrap.js, 0x7070000)
│   │      ├──49,152 B (00.03%) -- gc-heap
│   │      │  ├──40,456 B (00.02%) -- arena
│   │      │  │  ├──40,152 B (00.02%) ── unused
│   │      │  │  ├─────192 B (00.00%) ── headers
│   │      │  │  └─────112 B (00.00%) ── padding
│   │      │  ├───4,144 B (00.00%) -- shapes
│   │      │  │   ├──2,352 B (00.00%) ── tree
│   │      │  │   ├──1,408 B (00.00%) ── base
│   │      │  │   └────384 B (00.00%) ── dict
│   │      │  ├───3,216 B (00.00%) -- objects
│   │      │  │   ├──1,952 B (00.00%) ── function
│   │      │  │   └──1,264 B (00.00%) ── non-function
│   │      │  ├─────840 B (00.00%) ── scripts
│   │      │  ├─────480 B (00.00%) ── type-objects
│   │      │  └──────16 B (00.00%) ── strings
│   │      ├───3,104 B (00.00%) -- shapes-extra
│   │      │   ├──2,304 B (00.00%) ── compartment-tables
│   │      │   ├────448 B (00.00%) ── tree-tables
│   │      │   ├────192 B (00.00%) ── tree-shape-kids
│   │      │   └────160 B (00.00%) ── dict-tables
│   │      ├───2,944 B (00.00%) -- objects
│   │      │   ├──2,816 B (00.00%) ── slots
│   │      │   └────128 B (00.00%) ── misc
│   │      ├─────536 B (00.00%) ── script-data
│   │      ├─────288 B (00.00%) ── string-chars
│   │      └──────32 B (00.00%) -- type-inference
│   │             └──32 B (00.00%) ── script-main
│   ├──────35,560 B (00.02%) -- compartment(moz-nullprincipal:{332b95a3-50a4-47e0-9322-a983cf75511b})
│   │      ├──32,768 B (00.02%) -- gc-heap
│   │      │  ├──29,168 B (00.02%) -- arena
│   │      │  │  ├──28,928 B (00.02%) ── unused
│   │      │  │  ├─────128 B (00.00%) ── headers
│   │      │  │  └─────112 B (00.00%) ── padding
│   │      │  ├───1,848 B (00.00%) -- shapes
│   │      │  │   ├────984 B (00.00%) ── tree
│   │      │  │   ├────480 B (00.00%) ── base
│   │      │  │   └────384 B (00.00%) ── dict
│   │      │  ├───1,504 B (00.00%) -- objects
│   │      │  │   ├──1,248 B (00.00%) ── function
│   │      │  │   └────256 B (00.00%) ── non-function
│   │      │  ├─────128 B (00.00%) ── type-objects
│   │      │  └─────120 B (00.00%) ── scripts
│   │      ├───1,664 B (00.00%) -- objects
│   │      │   ├──1,536 B (00.00%) ── slots
│   │      │   └────128 B (00.00%) ── misc
│   │      ├───1,120 B (00.00%) -- shapes-extra
│   │      │   ├────896 B (00.00%) ── compartment-tables
│   │      │   ├────160 B (00.00%) ── dict-tables
│   │      │   └─────64 B (00.00%) ── tree-shape-kids
│   │      └───────8 B (00.00%) ── script-data
│   ├───────────0 B (00.00%) ── gc-heap-chunk-dirty-unused
│   └───────────0 B (00.00%) ── gc-heap-chunk-clean-unused
├───33,901,129 B (18.98%) ── heap-unclassified
├───25,969,424 B (14.54%) -- storage
│   ├──23,003,664 B (12.88%) -- sqlite
│   │  ├──12,060,072 B (06.75%) -- places.sqlite
│   │  │  ├──11,719,336 B (06.56%) ── cache-used [4]
│   │  │  ├─────284,208 B (00.16%) ── stmt-used [4]
│   │  │  └──────56,528 B (00.03%) ── schema-used [4]
│   │  ├───4,939,456 B (02.76%) ── other
│   │  ├───1,985,176 B (01.11%) -- extensions.sqlite
│   │  │   ├──1,810,824 B (01.01%) ── cache-used
│   │  │   ├────166,560 B (00.09%) ── stmt-used
│   │  │   └──────7,792 B (00.00%) ── schema-used
│   │  ├───1,869,944 B (01.05%) -- permissions.sqlite
│   │  │   ├──1,862,120 B (01.04%) ── cache-used
│   │  │   ├──────6,528 B (00.00%) ── stmt-used
│   │  │   └──────1,296 B (00.00%) ── schema-used
│   │  ├─────859,160 B (00.48%) -- cookies.sqlite
│   │  │     ├──844,784 B (00.47%) ── cache-used
│   │  │     ├───12,512 B (00.01%) ── stmt-used
│   │  │     └────1,864 B (00.00%) ── schema-used
│   │  ├─────340,028 B (00.19%) -- downloads.sqlite
│   │  │     ├──329,964 B (00.18%) ── cache-used
│   │  │     ├────7,568 B (00.00%) ── stmt-used
│   │  │     └────2,496 B (00.00%) ── schema-used
│   │  ├─────296,140 B (00.17%) -- addons.sqlite
│   │  │     ├──264,148 B (00.15%) ── cache-used
│   │  │     ├───25,792 B (00.01%) ── stmt-used
│   │  │     └────6,200 B (00.00%) ── schema-used
│   │  ├─────202,944 B (00.11%) -- chromeappsstore.sqlite
│   │  │     ├──198,608 B (00.11%) ── cache-used
│   │  │     ├────4,336 B (00.00%) ── schema-used
│   │  │     └────────0 B (00.00%) ── stmt-used
│   │  ├─────187,400 B (00.10%) -- webappsstore.sqlite
│   │  │     ├──156,072 B (00.09%) ── cache-used
│   │  │     ├───26,960 B (00.02%) ── stmt-used
│   │  │     └────4,368 B (00.00%) ── schema-used
│   │  ├──────75,404 B (00.04%) -- index.sqlite
│   │  │      ├──64,400 B (00.04%) ── stmt-used
│   │  │      ├───7,868 B (00.00%) ── cache-used
│   │  │      └───3,136 B (00.00%) ── schema-used
│   │  ├──────67,548 B (00.04%) -- 4chan_main.db
│   │  │      ├──66,700 B (00.04%) ── cache-used
│   │  │      ├─────848 B (00.00%) ── schema-used
│   │  │      └───────0 B (00.00%) ── stmt-used
│   │  ├──────54,812 B (00.03%) -- formhistory.sqlite
│   │  │      ├──37,840 B (00.02%) ── stmt-used
│   │  │      ├──14,852 B (00.01%) ── cache-used
│   │  │      └───2,120 B (00.00%) ── schema-used
│   │  ├──────40,576 B (00.02%) -- signons.sqlite
│   │  │      ├──21,200 B (00.01%) ── stmt-used
│   │  │      ├──16,016 B (00.01%) ── cache-used
│   │  │      └───3,360 B (00.00%) ── schema-used
│   │  └──────25,004 B (00.01%) -- content-prefs.sqlite
│   │         ├──12,524 B (00.01%) ── cache-used
│   │         ├───9,984 B (00.01%) ── stmt-used
│   │         └───2,496 B (00.00%) ── schema-used
│   └───2,965,760 B (01.66%) -- prefixset
│       ├──1,593,392 B (00.89%) ── goog-malware-shavar
│       ├──1,372,208 B (00.77%) ── goog-phish-shavar
│       ├─────────80 B (00.00%) ── test-malware-simple
│       └─────────80 B (00.00%) ── test-phish-simple
├───13,610,372 B (07.62%) -- images
│   ├──12,942,392 B (07.24%) -- content
│   │  ├──12,942,392 B (07.24%) -- used
│   │  │  ├──12,129,704 B (06.79%) ── uncompressed-heap
│   │  │  ├─────812,688 B (00.45%) ── raw
│   │  │  └───────────0 B (00.00%) ── uncompressed-nonheap
│   │  └───────────0 B (00.00%) -- unused
│   │              ├──0 B (00.00%) ── raw
│   │              ├──0 B (00.00%) ── uncompressed-heap
│   │              └──0 B (00.00%) ── uncompressed-nonheap
│   └─────667,980 B (00.37%) -- chrome
│         ├──667,980 B (00.37%) -- used
│         │  ├──667,980 B (00.37%) ── uncompressed-heap
│         │  ├────────0 B (00.00%) ── raw
│         │  └────────0 B (00.00%) ── uncompressed-nonheap
│         └────────0 B (00.00%) -- unused
│                  ├──0 B (00.00%) ── raw
│                  ├──0 B (00.00%) ── uncompressed-heap
│                  └──0 B (00.00%) ── uncompressed-nonheap
├────3,927,304 B (02.20%) -- window-objects
│    ├──1,472,872 B (00.82%) -- top(chrome://browser/content/browser.xul, id=1)
│    │  └──1,472,872 B (00.82%) -- active
│    │     ├──1,465,864 B (00.82%) -- window(chrome://browser/content/browser.xul)
│    │     │  ├────733,104 B (00.41%) -- layout
│    │     │  │    ├──472,848 B (00.26%) ── arenas
│    │     │  │    └──260,256 B (00.15%) ── style-sets
│    │     │  ├────463,440 B (00.26%) ── style-sheets
│    │     │  └────269,320 B (00.15%) ── dom [2]
│    │     └──────7,008 B (00.00%) -- window(about:blank)
│    │            └──7,008 B (00.00%) ── dom [6]
│    ├──1,446,592 B (00.81%) -- top(https://www.google.co.nz/, id=265)
│    │  └──1,446,592 B (00.81%) -- active
│    │     ├──1,446,144 B (00.81%) -- window(https://www.google.co.nz/)
│    │     │  ├──1,004,448 B (00.56%) -- layout
│    │     │  │  ├────791,696 B (00.44%) ── style-sets
│    │     │  │  └────212,752 B (00.12%) ── arenas
│    │     │  ├────270,040 B (00.15%) ── style-sheets
│    │     │  └────171,656 B (00.10%) ── dom [2]
│    │     └────────448 B (00.00%) -- window(http://www.youtube.com/)
│    │              └──448 B (00.00%) ── dom
│    ├────855,040 B (00.48%) -- top(about:memory?verbose, id=14)
│    │    └──855,040 B (00.48%) -- active
│    │       └──855,040 B (00.48%) -- window(about:memory?verbose)
│    │          ├──837,968 B (00.47%) -- layout
│    │          │  ├──736,016 B (00.41%) ── arenas
│    │          │  └──101,952 B (00.06%) ── style-sets
│    │          ├────9,664 B (00.01%) ── style-sheets
│    │          └────7,408 B (00.00%) ── dom [2]
│    ├────145,600 B (00.08%) -- top(resource://gre-resources/hiddenWindow.html, id=3)
│    │    └──145,600 B (00.08%) -- active
│    │       └──145,600 B (00.08%) -- window(resource://gre-resources/hiddenWindow.html)
│    │          ├──142,816 B (00.08%) -- layout
│    │          │  ├──105,168 B (00.06%) ── style-sets
│    │          │  └───37,648 B (00.02%) ── arenas
│    │          └────2,784 B (00.00%) ── dom [2]
│    └──────7,200 B (00.00%) -- top(none)
│           ├──2,240 B (00.00%) -- window(http://www.youtube.com/watch?v=llDikI2hTtk&ob=av2e)
│           │  └──2,240 B (00.00%) ── dom [5]
│           ├──1,792 B (00.00%) -- window(http://www.youtube.com/watch?v=VfEhQsRnesQ)
│           │  └──1,792 B (00.00%) ── dom [4]
│           ├────928 B (00.00%) -- window([system])
│           │    └──928 B (00.00%) ── dom [2]
│           ├────896 B (00.00%) -- window(http://www.youtube.com/)
│           │    └──896 B (00.00%) ── dom [2]
│           ├────896 B (00.00%) -- window(http://www.youtube.com/results?search_query=promises+nero&oq=pro&aq=1&aqi=g10&aql=&gs_l=youtube.1.1.0l10.96l198l0l2092l2l2l0l0l0l0l452l750l2-1j0j1l2l0.)
│           │    └──896 B (00.00%) ── dom [2]
│           └────448 B (00.00%) -- window(http://www.youtube.com/results?search_query=promises+nero&oq=promis&aq=0&aqi=g10&aql=&gs_l=youtube.3.0.0l10.1126l1965l0l3221l6l6l0l0l0l0l637l1680l1j3j5-2l6l0.)
│                └──448 B (00.00%) ── dom
├────3,713,520 B (02.08%) -- dom
│    └──3,713,520 B (02.08%) -- workers()
│       └──3,713,520 B (02.08%) -- worker(chrome://ghostery/content/ghostery-scanner.js, 0x11aa100011aa1000)
│          ├──1,505,392 B (00.84%) -- compartment(Web Worker)
│          │  ├────671,744 B (00.38%) -- gc-heap
│          │  │    ├──320,432 B (00.18%) -- arena
│          │  │    │  ├──317,616 B (00.18%) ── unused
│          │  │    │  ├────2,624 B (00.00%) ── headers
│          │  │    │  └──────192 B (00.00%) ── padding
│          │  │    ├──197,552 B (00.11%) -- objects
│          │  │    │  ├──189,088 B (00.11%) ── non-function
│          │  │    │  └────8,464 B (00.00%) ── function
│          │  │    ├──135,456 B (00.08%) ── strings
│          │  │    ├───16,824 B (00.01%) -- shapes
│          │  │    │   ├──10,920 B (00.01%) ── tree
│          │  │    │   ├───4,608 B (00.00%) ── base
│          │  │    │   └───1,296 B (00.00%) ── dict
│          │  │    ├──────840 B (00.00%) ── scripts
│          │  │    └──────640 B (00.00%) ── type-objects
│          │  ├────327,680 B (00.18%) -- mjit
│          │  │    └──327,680 B (00.18%) ── code
│          │  ├────202,120 B (00.11%) ── string-chars
│          │  ├────162,384 B (00.09%) -- objects
│          │  │    ├──145,856 B (00.08%) ── slots
│          │  │    ├───16,400 B (00.01%) ── elements
│          │  │    └──────128 B (00.00%) ── misc
│          │  ├────130,944 B (00.07%) ── analysis-temporary
│          │  ├──────7,424 B (00.00%) -- shapes-extra
│          │  │      ├──4,352 B (00.00%) ── compartment-tables
│          │  │      ├──2,144 B (00.00%) ── tree-tables
│          │  │      ├────480 B (00.00%) ── tree-shape-kids
│          │  │      └────448 B (00.00%) ── dict-tables
│          │  ├──────1,960 B (00.00%) ── script-data
│          │  └──────1,136 B (00.00%) -- type-inference
│          │         ├────912 B (00.00%) ── script-main
│          │         ├────128 B (00.00%) ── object-main
│          │         └─────96 B (00.00%) ── tables
│          ├──1,286,144 B (00.72%) ── gc-heap-decommitted
│          ├────651,808 B (00.36%) -- runtime
│          │    ├──262,144 B (00.15%) ── regexp-code
│          │    ├──131,072 B (00.07%) ── stack-committed
│          │    ├──131,072 B (00.07%) ── gc-marker
│          │    ├──106,496 B (00.06%) ── runtime-object
│          │    ├───16,384 B (00.01%) ── atoms-table
│          │    ├────4,096 B (00.00%) ── normal
│          │    ├──────544 B (00.00%) ── contexts
│          │    └────────0 B (00.00%) ── temporary
│          ├────237,408 B (00.13%) -- compartment(Web Worker Atoms)
│          │    ├──130,912 B (00.07%) ── string-chars
│          │    └──106,496 B (00.06%) -- gc-heap
│          │       ├──100,544 B (00.06%) ── strings
│          │       └────5,952 B (00.00%) -- arena
│          │            ├──5,488 B (00.00%) ── unused
│          │            ├────416 B (00.00%) ── headers
│          │            └─────48 B (00.00%) ── padding
│          ├─────32,768 B (00.02%) ── gc-heap-chunk-admin
│          ├──────────0 B (00.00%) ── gc-heap-chunk-dirty-unused
│          └──────────0 B (00.00%) ── gc-heap-chunk-clean-unused
├────2,316,888 B (01.30%) ── spell-check
├────1,261,440 B (00.71%) ── atom-table
├────1,235,027 B (00.69%) -- startup-cache
│    ├──1,234,627 B (00.69%) ── mapping
│    └────────400 B (00.00%) ── data
├──────966,688 B (00.54%) ── xpti-working-set
├──────368,864 B (00.21%) -- gfx
│      ├──266,672 B (00.15%) ── font-list
│      ├───96,224 B (00.05%) ── font-charmaps
│      ├────5,840 B (00.00%) ── font-cache
│      └──────128 B (00.00%) ── font-shaped-words
├──────216,408 B (00.12%) -- layout
│      └──216,408 B (00.12%) ── style-sheet-cache
├──────120,391 B (00.07%) ── network-memory-cache
├───────53,316 B (00.03%) ── cycle-collector
└───────34,416 B (00.02%) ── history-links-hashtable

Other Measurements
          0 B ── canvas-2d-pixel-bytes
178,649,323 B ── explicit
    394,468 B ── gfx-d2d-surfacecache
  4,194,308 B ── gfx-d2d-surfacevram
 12,788,120 B ── gfx-surface-image
113,383,876 B ── heap-allocated
130,838,528 B ── heap-committed
       13.33% ── heap-committed-fragmentation
  2,699,264 B ── heap-dirty
 40,755,610 B ── heap-unallocated
 12,129,704 B ── images-content-used-uncompressed
            6 ── js-compartments-system
            3 ── js-compartments-user
 59,768,832 B ── js-gc-heap
    463,584 B ── js-main-runtime-analysis-temporary
  8,869,320 B ── js-main-runtime-gc-heap-arena-unused
          0 B ── js-main-runtime-gc-heap-chunk-clean-unused
          0 B ── js-main-runtime-gc-heap-chunk-dirty-unused
 29,364,224 B ── js-main-runtime-gc-heap-decommitted
        0.01% ── js-main-runtime-gc-heap-unused-fraction
  1,072,176 B ── js-main-runtime-mjit
 11,544,256 B ── js-main-runtime-objects
 10,266,256 B ── js-main-runtime-scripts
 12,354,936 B ── js-main-runtime-shapes
 10,437,000 B ── js-main-runtime-strings
  1,445,152 B ── js-main-runtime-type-inference
            0 ── low-commit-space-events
            0 ── low-memory-events-physical
            0 ── low-memory-events-virtual
304,881,664 B ── private
353,128,448 B ── resident
          0 B ── shmem-allocated
          0 B ── shmem-mapped
 23,003,664 B ── storage-sqlite
654,266,368 B ── vsize
    465,824 B ── window-objects-dom
  1,459,264 B ── window-objects-layout-arenas
  1,259,072 B ── window-objects-layout-style-sets
          0 B ── window-objects-layout-text-runs
    743,144 B ── window-objects-style-sheets
Comment 3 Nicholas Nethercote [:njn] 2012-04-05 12:29:44 PDT
Thanks for the report, Grant!

Jorge, can you please send a message to the author through AMO?
Comment 4 Jet Villegas (:jet) 2012-04-10 16:07:10 PDT
P3 per Memshrink
Comment 5 Andrew Williamson [:eviljeff] 2012-04-12 08:30:09 PDT
developer contacted via AMO.
Comment 6 Jorge Villalobos [:jorgev] 2012-05-02 16:55:13 PDT
I poked the dev again.
Comment 7 Nicholas Nethercote [:njn] 2012-05-02 21:05:22 PDT
I just failed to reproduce this on a FF15 dev build on Linux64.  However, YouTube videos refused to play with the add-on installed -- the video area was just black and didn't respond in any way.
Comment 8 Nicholas Nethercote [:njn] 2012-05-02 22:09:35 PDT
(In reply to Nicholas Nethercote [:njn] from comment #7)
> I just failed to reproduce this on a FF15 dev build on Linux64.  However,
> YouTube videos refused to play with the add-on installed -- the video area
> was just black and didn't respond in any way.

Actually, the lack of playing seems to be something wrong with my build, not the add-on's fault.
Comment 9 Grant 2012-05-03 05:12:41 PDT
I think that the fix Kyle blogged about fixed this issue - hasn't come back for me.
Comment 10 Jorge Villalobos [:jorgev] 2012-05-03 10:46:11 PDT
The dev replied to my last message and said he's working on it.
Comment 11 Davide Buldrini 2012-05-04 10:53:27 PDT
Hi there. I'm the developer of this addon and I released another version where this issue seems to be fixed. I did some tests for memory leak with firefox 12.0 on ubuntu.
This is after using intensively my extension without closing the tabs:

85,640,332 B (100.0%) -- explicit
├──45,346,296 B (52.95%) -- js
│  ├──25,432,136 B (29.70%) ++ compartment(http://www.youtube.com/watch?v=suz446-BOHg)
│  ├───8,398,044 B (09.81%) ++ compartment([System Principal], 0xffffffffb4988000)
│  ├───6,341,744 B (07.41%) ++ runtime
│  ├───1,599,008 B (01.87%) ++ compartment(atoms)
│  ├───1,417,216 B (01.65%) ── gc-heap-chunk-dirty-unused
│  ├─────599,540 B (00.70%) ── xpconnect
│  ├─────503,808 B (00.59%) ── gc-heap-decommitted
│  ├─────341,880 B (00.40%) ++ compartment(about:home)
│  ├─────300,800 B (00.35%) ++ compartment(http://ad-emea.doubleclick.net/adi/com.ytpwmpu.filmsandanimation/main_9699;sz=300x250;mpvid=AAS_OYORE-1se_72;plat=pc;!c=9699;k2=3;k2=23;k2=35;k2=581;k2=587;kvid=suz446-BOHg;shortform=1;kpid=9699;kga=-1;kgg=-1;kcr=ru;kmsrd=1;kvz=204;ytexp=900161.919306.904452;klg=en;kr=F;kpu=actressfan2;tves=0;khd=0;ko=p;kclt=1;afc=1;ytps=default;ytvt=w;afct=site_content;k5=3_23_35_581_587;kt=K;u=suz446-BOHg|9699;dc_dedup=1;as3=1;kmyd=watch-channel-brand-div;dc_seed=215455359;tile=1;kmyd=watch-channel-brand-div;ord=912370423?)
│  ├─────262,144 B (00.31%) ── gc-heap-chunk-admin
│  ├─────117,136 B (00.14%) ++ compartment(about:blank)
│  ├──────31,336 B (00.04%) ++ compartment(moz-nullprincipal:{f2f77349-2820-4c2d-b39b-a0d842187479})
│  ├───────1,504 B (00.00%) ++ compartment(http://ad-g.doubleclick.net/N6762/adi/mkt.ythome_1x1/;sz=1x1;tile=3;plat=pc;klg=en;kt=K;kga=-1;kgg=-1;kcr=ru;dc_dedup=1;kmyd=ad_creative_3;ord=478411764484688?)
│  └───────────0 B (00.00%) ── gc-heap-chunk-clean-unused
├──25,779,319 B (30.10%) ── heap-unclassified
├───6,100,720 B (07.12%) ++ storage
├───4,241,488 B (04.95%) -- layout
│   ├────855,968 B (01.00%) ++ shell(http://www.youtube.com/results?search_query=usher+without+you&oq=u&aq=3&aqi=g10&aql=&gs_l=youtube.1.3.0l10.515.515.0.1345.1.1.0.0.0.0.168.168.0j1.1.0...0.0.)
│   ├────828,960 B (00.97%) ++ shell(http://www.youtube.com/results?search_query=you+da+one+rihanna&oq=y&aq=2&aqi=g10&aql=&gs_l=youtube.1.2.0l10.1020.1020.0.2606.1.1.0.0.0.0.172.172.0j1.1.0...0.0.)
│   ├────818,848 B (00.96%) ++ shell(http://www.youtube.com/results?search_query=we+are+young&oq=we&aq=0&aqi=g10&aql=&gs_l=youtube.1.0.0l10.1112.1125.0.2062.2.2.0.0.0.0.338.520.0j1j0j1.2.0...0.0.)
│   ├────807,824 B (00.94%) ++ shell(http://www.youtube.com/results?search_query=call+me+maybe&oq=c&aq=1&aqi=g10&aql=&gs_l=youtube.1.1.0l10.588.588.0.1379.1.1.0.0.0.0.211.211.2-1.1.0...0.0.)
│   ├────528,000 B (00.62%) ++ shell(chrome://browser/content/browser.xul)
│   ├────130,640 B (00.15%) ++ shell(about:home)
│   ├─────91,568 B (00.11%) ++ shell(about:memory?verbose)
│   ├─────91,056 B (00.11%) ++ shell(about:blank)
│   └─────88,624 B (00.10%) ++ shell(resource://gre-resources/hiddenWindow.html)
├───1,615,593 B (01.89%) -- dom
│   └──1,615,593 B (01.89%) -- window-objects
│      ├──1,553,267 B (01.81%) -- active
│      │  ├────363,480 B (00.42%) -- top=33 (inner=107)
│      │  │    ├──356,128 B (00.42%) ── inner-window(id=107, uri=http://www.youtube.com/results?search_query=usher+without+you&oq=u&aq=3&aqi=g10&aql=&gs_l=youtube.1.3.0l10.515.515.0.1345.1.1.0.0.0.0.168.168.0j1.1.0...0.0.)
│      │  │    ├────3,134 B (00.00%) ── inner-window(id=115, uri=http://www.youtube.com/adsense_script.html?divId=ad_creative_1&depth=2)
│      │  │    ├────2,255 B (00.00%) ── inner-window(id=112, uri=http://ad-emea.doubleclick.net/adi/com.ytsrc.undef/default;sz=300x250;tile=1;dcopt=ist;plat=pc;klg=en;kt=K;kga=-1;kr=F;kw=usher+without+you;kgg=-1;kcr=ru;dc_dedup=1;kmyd=ad_creative_1;ord=6256334011537433?)
│      │  │    ├────1,571 B (00.00%) ── inner-window(id=117, uri=about:blank)
│      │  │    └──────392 B (00.00%) ── inner-window(id=46, uri=http://www.youtube.com/results?search_query=usher+without+you&oq=u&aq=3&aqi=g10&aql=&gs_l=youtube.1.3.0l10.515.515.0.1345.1.1.0.0.0.0.168.168.0j1.1.0...0.0.)
│      │  ├────346,612 B (00.40%) -- top=74 (inner=122)
│      │  │    ├──338,476 B (00.40%) ── inner-window(id=122, uri=http://www.youtube.com/results?search_query=we+are+young&oq=we&aq=0&aqi=g10&aql=&gs_l=youtube.1.0.0l10.1112.1125.0.2062.2.2.0.0.0.0.338.520.0j1j0j1.2.0...0.0.)
│      │  │    ├────3,134 B (00.00%) ── inner-window(id=133, uri=http://www.youtube.com/adsense_script.html?divId=ad_creative_1&depth=2)
│      │  │    ├────2,255 B (00.00%) ── inner-window(id=131, uri=http://ad-emea.doubleclick.net/adi/com.ytsrc.lifes/mensinterests_mensinterestsmature;sz=300x250;tile=1;dcopt=ist;plat=pc;klg=en;kt=K;kga=-1;kr=F;kw=we+are+young;kgg=-1;kcr=ru;dc_dedup=1;kmyd=ad_creative_1;ord=8298491532838057?)
│      │  │    ├────1,571 B (00.00%) ── inner-window(id=135, uri=about:blank)
│      │  │    ├──────392 B (00.00%) ── inner-window(id=130, uri=http://www.youtube.com/results?search_query=we+are+young&oq=we&aq=0&aqi=g10&aql=&gs_l=youtube.1.0.0l10.1112.1125.0.2062.2.2.0.0.0.0.338.520.0j1j0j1.2.0...0.0.)
│      │  │    ├──────392 B (00.00%) ── inner-window(id=93, uri=http://www.youtube.com/results?search_query=we+are+young&oq=we&aq=0&aqi=g10&aql=&gs_l=youtube.1.0.0l10.1112.1125.0.2062.2.2.0.0.0.0.338.520.0j1j0j1.2.0...0.0.)
│      │  │    └──────392 B (00.00%) ── inner-window(id=85, uri=http://www.youtube.com/results?search_query=we+are+young&oq=we&aq=0&aqi=g10&aql=&gs_l=youtube.1.0.0l10.1112.1125.0.2062.2.2.0.0.0.0.338.520.0j1j0j1.2.0...0.0.)
│      │  ├────345,026 B (00.40%) -- top=52 (inner=99)
│      │  │    ├──337,674 B (00.39%) ── inner-window(id=99, uri=http://www.youtube.com/results?search_query=you+da+one+rihanna&oq=y&aq=2&aqi=g10&aql=&gs_l=youtube.1.2.0l10.1020.1020.0.2606.1.1.0.0.0.0.172.172.0j1.1.0...0.0.)
│      │  │    ├────3,134 B (00.00%) ── inner-window(id=106, uri=http://www.youtube.com/adsense_script.html?divId=ad_creative_1&depth=2)
│      │  │    ├────2,255 B (00.00%) ── inner-window(id=104, uri=http://ad-emea.doubleclick.net/adi/com.ytsrc.undef/default;sz=300x250;tile=1;dcopt=ist;plat=pc;klg=en;kt=K;kga=-1;kr=F;kw=you+da+one+rihanna;kgg=-1;kcr=ru;dc_dedup=1;kmyd=ad_creative_1;ord=388740826761601?)
│      │  │    ├────1,571 B (00.00%) ── inner-window(id=109, uri=about:blank)
│      │  │    └──────392 B (00.00%) ── inner-window(id=65, uri=http://www.youtube.com/results?search_query=you+da+one+rihanna&oq=y&aq=2&aqi=g10&aql=&gs_l=youtube.1.2.0l10.1020.1020.0.2606.1.1.0.0.0.0.172.172.0j1.1.0...0.0.)
│      │  ├────340,306 B (00.40%) -- top=7 (inner=114)
│      │  │    ├──332,954 B (00.39%) ── inner-window(id=114, uri=http://www.youtube.com/results?search_query=call+me+maybe&oq=c&aq=1&aqi=g10&aql=&gs_l=youtube.1.1.0l10.588.588.0.1379.1.1.0.0.0.0.211.211.2-1.1.0...0.0.)
│      │  │    ├────3,134 B (00.00%) ── inner-window(id=123, uri=http://www.youtube.com/adsense_script.html?divId=ad_creative_1&depth=2)
│      │  │    ├────2,255 B (00.00%) ── inner-window(id=120, uri=http://ad-emea.doubleclick.net/adi/com.ytsrc.undef/default;sz=300x250;tile=1;dcopt=ist;plat=pc;klg=en;kt=K;kga=-1;kr=F;kw=call+me+maybe;kgg=-1;kcr=ru;dc_dedup=1;kmyd=ad_creative_1;ord=3222380690225656?)
│      │  │    ├────1,571 B (00.00%) ── inner-window(id=125, uri=about:blank)
│      │  │    └──────392 B (00.00%) ── inner-window(id=27, uri=http://www.youtube.com/results?search_query=call+me+maybe&oq=c&aq=1&aqi=g10&aql=&gs_l=youtube.1.1.0l10.588.588.0.1379.1.1.0.0.0.0.211.211.2-1.1.0...0.0.)
│      │  ├────142,258 B (00.17%) -- top=1 (inner=2)
│      │  │    ├──139,284 B (00.16%) ── inner-window(id=2, uri=chrome://browser/content/browser.xul)
│      │  │    ├────1,487 B (00.00%) ── inner-window(id=10, uri=about:blank)
│      │  │    └────1,487 B (00.00%) ── inner-window(id=9, uri=about:blank)
│      │  ├──────8,232 B (00.01%) ── outer-windows [21]
│      │  ├──────5,619 B (00.01%) -- top=126 (inner=136)
│      │  │      └──5,619 B (00.01%) ── inner-window(id=136, uri=about:memory?verbose)
│      │  └──────1,734 B (00.00%) -- top=3 (inner=4)
│      │         └──1,734 B (00.00%) ── inner-window(id=4, uri=resource://gre-resources/hiddenWindow.html)
│      └─────62,326 B (00.07%) -- cached
│            ├──60,755 B (00.07%) -- top=7 (inner=114)
│            │  └──60,755 B (00.07%) ── inner-window(id=12, uri=about:home)
│            └───1,571 B (00.00%) -- top=126 (inner=136)
│                └──1,571 B (00.00%) ── inner-window(id=128, uri=about:blank)
├─────928,800 B (01.08%) ── xpti-working-set
├─────641,728 B (00.75%) ++ images
├─────606,968 B (00.71%) ++ startup-cache
├─────309,840 B (00.36%) ── atom-table
├──────36,704 B (00.04%) ── history-links-hashtable
├──────32,876 B (00.04%) ── cycle-collector
└───────────0 B (00.00%) ── spell-check




This is after closing all tabs and using minimize memory usage button:


38,903,672 B (100.0%) -- explicit
├──15,859,592 B (40.77%) -- js
│  ├───7,150,608 B (18.38%) ++ compartment([System Principal], 0xffffffffb4988000)
│  ├───5,177,008 B (13.31%) ++ runtime
│  ├───1,572,864 B (04.04%) ── gc-heap-decommitted
│  ├───1,430,752 B (03.68%) ++ compartment(atoms)
│  ├─────398,720 B (01.02%) ── xpconnect
│  ├──────98,304 B (00.25%) ── gc-heap-chunk-admin
│  ├──────31,336 B (00.08%) ++ compartment(moz-nullprincipal:{f2f77349-2820-4c2d-b39b-a0d842187479})
│  ├───────────0 B (00.00%) ── gc-heap-chunk-dirty-unused
│  └───────────0 B (00.00%) ── gc-heap-chunk-clean-unused
├──13,788,084 B (35.44%) ── heap-unclassified
├───6,100,720 B (15.68%) ++ storage
├───1,160,432 B (02.98%) -- layout
│   ├────535,920 B (01.38%) ++ shell(chrome://browser/content/browser.xul)
│   ├────535,888 B (01.38%) ++ shell(about:memory?verbose)
│   └─────88,624 B (00.23%) ++ shell(resource://gre-resources/hiddenWindow.html)
├─────928,800 B (02.39%) ── xpti-working-set
├─────606,968 B (01.56%) ++ startup-cache
├─────233,840 B (00.60%) ── atom-table
├─────148,829 B (00.38%) -- dom
│     └──148,829 B (00.38%) -- window-objects
│        └──148,829 B (00.38%) -- active
│           ├──139,516 B (00.36%) -- top=1 (inner=2)
│           │  ├──136,542 B (00.35%) ── inner-window(id=2, uri=chrome://browser/content/browser.xul)
│           │  ├────1,487 B (00.00%) ── inner-window(id=10, uri=about:blank)
│           │  └────1,487 B (00.00%) ── inner-window(id=9, uri=about:blank)
│           ├────5,619 B (00.01%) -- top=126 (inner=136)
│           │    └──5,619 B (00.01%) ── inner-window(id=136, uri=about:memory?verbose)
│           ├────1,960 B (00.01%) ── outer-windows [5]
│           └────1,734 B (00.00%) -- top=3 (inner=4)
│                └──1,734 B (00.00%) ── inner-window(id=4, uri=resource://gre-resources/hiddenWindow.html)
├──────63,475 B (00.16%) ++ images
├──────12,436 B (00.03%) ── cycle-collector
├─────────496 B (00.00%) ── history-links-hashtable
└───────────0 B (00.00%) ── spell-check


If you want to test the new version:

https://addons.mozilla.org/firefox/downloads/file/150532/youtube_ratings_preview-1.05-fx.xpi?src=devhub
Comment 12 Jorge Villalobos [:jorgev] 2012-05-04 13:00:09 PDT
Tested and approved the latest version. No zombie compartments remain after visiting youtube.

Note You need to log in before you can comment on or make changes to this bug.